---
title: "Get entity"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}`

## Path parameters

- `id` (`entity-get.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "slug": "string",
    "description": "string",
    "overview": "string",
    "location": "string",
    "domain": "string",
    "twitterUrl": "string",
    "linkedinUrl": "string",
    "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
    "ownerId": "string",
    "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
    "entityType": "string",
    "logoUrl": "string",
    "bannerUrl": "string",
    "metadata": {
      "property1": null,
      "property2": null
    },
    "verified": true,
    "placeholderEntity": true,
    "dataResidency": "string",
    "autoCreated": true,
    "claimedBy": "string",
    "claimedAt": "2019-08-24T14:15:22Z",
    "createdBy": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "administrationAccess": "owner",
    "resourceType": "entity",
    "parent": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "description": "string",
      "overview": "string",
      "location": "string",
      "domain": "string",
      "twitterUrl": "string",
      "linkedinUrl": "string",
      "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
      "ownerId": "string",
      "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
      "entityType": "string",
      "logoUrl": "string",
      "bannerUrl": "string",
      "metadata": {
        "property1": null,
        "property2": null
      },
      "verified": true,
      "placeholderEntity": true,
      "dataResidency": "string",
      "autoCreated": true,
      "claimedBy": "string",
      "claimedAt": "2019-08-24T14:15:22Z",
      "createdBy": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    },
    "children": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "slug": "string",
        "description": "string",
        "overview": "string",
        "location": "string",
        "domain": "string",
        "twitterUrl": "string",
        "linkedinUrl": "string",
        "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
        "ownerId": "string",
        "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
        "entityType": "string",
        "logoUrl": "string",
        "bannerUrl": "string",
        "metadata": {
          "property1": null,
          "property2": null
        },
        "verified": true,
        "placeholderEntity": true,
        "dataResidency": "string",
        "autoCreated": true,
        "claimedBy": "string",
        "claimedAt": "2019-08-24T14:15:22Z",
        "createdBy": "string",
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z"
      }
    ],
    "collection": null,
    "followers": [],
    "roles": [],
    "documents": [],
    "personnel": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "title": "string",
        "role": "string",
        "department": "string",
        "email": "string",
        "phone": "string",
        "status": "string",
        "isKeyPerson": true
      }
    ],
    "teamMembers": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "userId": "string",
        "name": "string",
        "email": "string",
        "title": "string",
        "role": "string",
        "portfolioRole": "string",
        "avatar": "string"
      }
    ],
    "tagline": "string",
    "companySizeCategory": "string",
    "followersCount": 0,
    "isFollowing": true,
    "creditReferencesCount": 0,
    "customerReferencesCount": 0,
    "claimStatus": "not_claimable",
    "canClaim": true,
    "connectionCount": 0,
    "mutualConnections": 0,
    "isConnected": true
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`entity-get.response.200.data`; object, required)
  - `id` (`entity-get.response.200.data.id`; string, required)
    - format `uuid`
  - `name` (`entity-get.response.200.data.name`; string, required)
  - `slug` (`entity-get.response.200.data.slug`; string, required)
  - `description` (`entity-get.response.200.data.description`; string, required, nullable)
  - `parentId` (`entity-get.response.200.data.parentId`; string, required, nullable)
    - format `uuid`
  - `ownerId` (`entity-get.response.200.data.ownerId`; string, required)
  - `collectionId` (`entity-get.response.200.data.collectionId`; string, required, nullable)
    - format `uuid`
  - `entityType` (`entity-get.response.200.data.entityType`; string, required, nullable)
  - `createdAt` (`entity-get.response.200.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`entity-get.response.200.data.updatedAt`; string, required)
    - format `date-time`
  - `overview` (`entity-get.response.200.data.overview`; string, optional, nullable)
  - `location` (`entity-get.response.200.data.location`; string, optional, nullable)
  - `domain` (`entity-get.response.200.data.domain`; string, optional, nullable)
  - `twitterUrl` (`entity-get.response.200.data.twitterUrl`; string, optional, nullable)
  - `linkedinUrl` (`entity-get.response.200.data.linkedinUrl`; string, optional, nullable)
  - `logoUrl` (`entity-get.response.200.data.logoUrl`; string, optional, nullable)
  - `bannerUrl` (`entity-get.response.200.data.bannerUrl`; string, optional, nullable)
  - `metadata` (`entity-get.response.200.data.metadata`; map<unknown>, optional, nullable)
  - `verified` (`entity-get.response.200.data.verified`; boolean, optional, nullable)
  - `placeholderEntity` (`entity-get.response.200.data.placeholderEntity`; boolean, optional, nullable)
  - `dataResidency` (`entity-get.response.200.data.dataResidency`; string, optional, nullable)
  - `autoCreated` (`entity-get.response.200.data.autoCreated`; boolean, optional, nullable)
  - `claimedBy` (`entity-get.response.200.data.claimedBy`; string, optional, nullable)
  - `claimedAt` (`entity-get.response.200.data.claimedAt`; string, optional, nullable)
    - format `date-time`
  - `createdBy` (`entity-get.response.200.data.createdBy`; string, optional, nullable)
  - `administrationAccess` (`entity-get.response.200.data.administrationAccess`; string, optional, nullable)
    - one of `"owner"`, `"admin"`
  - `resourceType` (`entity-get.response.200.data.resourceType`; string, optional)
    - one of `"entity"`
  - `parent` (`entity-get.response.200.data.parent`; object, optional, nullable)
    - `id` (`entity-get.response.200.data.parent.id`; string, required)
      - format `uuid`
    - `name` (`entity-get.response.200.data.parent.name`; string, required)
    - `slug` (`entity-get.response.200.data.parent.slug`; string, required)
    - `description` (`entity-get.response.200.data.parent.description`; string, required, nullable)
    - `parentId` (`entity-get.response.200.data.parent.parentId`; string, required, nullable)
      - format `uuid`
    - `ownerId` (`entity-get.response.200.data.parent.ownerId`; string, required)
    - `collectionId` (`entity-get.response.200.data.parent.collectionId`; string, required, nullable)
      - format `uuid`
    - `entityType` (`entity-get.response.200.data.parent.entityType`; string, required, nullable)
    - `createdAt` (`entity-get.response.200.data.parent.createdAt`; string, required)
      - format `date-time`
    - `updatedAt` (`entity-get.response.200.data.parent.updatedAt`; string, required)
      - format `date-time`
    - `overview` (`entity-get.response.200.data.parent.overview`; string, optional, nullable)
    - `location` (`entity-get.response.200.data.parent.location`; string, optional, nullable)
    - `domain` (`entity-get.response.200.data.parent.domain`; string, optional, nullable)
    - `twitterUrl` (`entity-get.response.200.data.parent.twitterUrl`; string, optional, nullable)
    - `linkedinUrl` (`entity-get.response.200.data.parent.linkedinUrl`; string, optional, nullable)
    - `logoUrl` (`entity-get.response.200.data.parent.logoUrl`; string, optional, nullable)
    - `bannerUrl` (`entity-get.response.200.data.parent.bannerUrl`; string, optional, nullable)
    - `metadata` (`entity-get.response.200.data.parent.metadata`; map<unknown>, optional, nullable)
    - `verified` (`entity-get.response.200.data.parent.verified`; boolean, optional, nullable)
    - `placeholderEntity` (`entity-get.response.200.data.parent.placeholderEntity`; boolean, optional, nullable)
    - `dataResidency` (`entity-get.response.200.data.parent.dataResidency`; string, optional, nullable)
    - `autoCreated` (`entity-get.response.200.data.parent.autoCreated`; boolean, optional, nullable)
    - `claimedBy` (`entity-get.response.200.data.parent.claimedBy`; string, optional, nullable)
    - `claimedAt` (`entity-get.response.200.data.parent.claimedAt`; string, optional, nullable)
      - format `date-time`
    - `createdBy` (`entity-get.response.200.data.parent.createdBy`; string, optional, nullable)
  - `children` (`entity-get.response.200.data.children`; array<object>, optional)
    - `id` (`entity-get.response.200.data.children.id`; string, required)
      - format `uuid`
    - `name` (`entity-get.response.200.data.children.name`; string, required)
    - `slug` (`entity-get.response.200.data.children.slug`; string, required)
    - `description` (`entity-get.response.200.data.children.description`; string, required, nullable)
    - `parentId` (`entity-get.response.200.data.children.parentId`; string, required, nullable)
      - format `uuid`
    - `ownerId` (`entity-get.response.200.data.children.ownerId`; string, required)
    - `collectionId` (`entity-get.response.200.data.children.collectionId`; string, required, nullable)
      - format `uuid`
    - `entityType` (`entity-get.response.200.data.children.entityType`; string, required, nullable)
    - `createdAt` (`entity-get.response.200.data.children.createdAt`; string, required)
      - format `date-time`
    - `updatedAt` (`entity-get.response.200.data.children.updatedAt`; string, required)
      - format `date-time`
    - `overview` (`entity-get.response.200.data.children.overview`; string, optional, nullable)
    - `location` (`entity-get.response.200.data.children.location`; string, optional, nullable)
    - `domain` (`entity-get.response.200.data.children.domain`; string, optional, nullable)
    - `twitterUrl` (`entity-get.response.200.data.children.twitterUrl`; string, optional, nullable)
    - `linkedinUrl` (`entity-get.response.200.data.children.linkedinUrl`; string, optional, nullable)
    - `logoUrl` (`entity-get.response.200.data.children.logoUrl`; string, optional, nullable)
    - `bannerUrl` (`entity-get.response.200.data.children.bannerUrl`; string, optional, nullable)
    - `metadata` (`entity-get.response.200.data.children.metadata`; map<unknown>, optional, nullable)
    - `verified` (`entity-get.response.200.data.children.verified`; boolean, optional, nullable)
    - `placeholderEntity` (`entity-get.response.200.data.children.placeholderEntity`; boolean, optional, nullable)
    - `dataResidency` (`entity-get.response.200.data.children.dataResidency`; string, optional, nullable)
    - `autoCreated` (`entity-get.response.200.data.children.autoCreated`; boolean, optional, nullable)
    - `claimedBy` (`entity-get.response.200.data.children.claimedBy`; string, optional, nullable)
    - `claimedAt` (`entity-get.response.200.data.children.claimedAt`; string, optional, nullable)
      - format `date-time`
    - `createdBy` (`entity-get.response.200.data.children.createdBy`; string, optional, nullable)
  - `collection` (`entity-get.response.200.data.collection`; unknown, optional, nullable)
  - `followers` (`entity-get.response.200.data.followers`; array<unknown>, optional)
  - `roles` (`entity-get.response.200.data.roles`; array<unknown>, optional)
  - `documents` (`entity-get.response.200.data.documents`; array<unknown>, optional)
  - `personnel` (`entity-get.response.200.data.personnel`; array<object>, optional)
    - `id` (`entity-get.response.200.data.personnel.id`; string, required)
      - format `uuid`
    - `name` (`entity-get.response.200.data.personnel.name`; string, required)
    - `title` (`entity-get.response.200.data.personnel.title`; string, required)
    - `role` (`entity-get.response.200.data.personnel.role`; string, required)
    - `status` (`entity-get.response.200.data.personnel.status`; string, required)
    - `isKeyPerson` (`entity-get.response.200.data.personnel.isKeyPerson`; boolean, required)
    - `department` (`entity-get.response.200.data.personnel.department`; string, optional, nullable)
    - `email` (`entity-get.response.200.data.personnel.email`; string, optional, nullable)
    - `phone` (`entity-get.response.200.data.personnel.phone`; string, optional, nullable)
  - `teamMembers` (`entity-get.response.200.data.teamMembers`; array<object>, optional)
    - `id` (`entity-get.response.200.data.teamMembers.id`; string, required)
      - format `uuid`
    - `userId` (`entity-get.response.200.data.teamMembers.userId`; string, required)
    - `name` (`entity-get.response.200.data.teamMembers.name`; string, required)
    - `email` (`entity-get.response.200.data.teamMembers.email`; string, optional, nullable)
    - `title` (`entity-get.response.200.data.teamMembers.title`; string, optional, nullable)
    - `role` (`entity-get.response.200.data.teamMembers.role`; string, optional, nullable)
    - `portfolioRole` (`entity-get.response.200.data.teamMembers.portfolioRole`; string, optional, nullable)
    - `avatar` (`entity-get.response.200.data.teamMembers.avatar`; string, optional, nullable)
  - `tagline` (`entity-get.response.200.data.tagline`; string, optional, nullable)
  - `companySizeCategory` (`entity-get.response.200.data.companySizeCategory`; string, optional, nullable)
  - `followersCount` (`entity-get.response.200.data.followersCount`; number, optional)
  - `isFollowing` (`entity-get.response.200.data.isFollowing`; boolean, optional)
  - `creditReferencesCount` (`entity-get.response.200.data.creditReferencesCount`; number, optional)
  - `customerReferencesCount` (`entity-get.response.200.data.customerReferencesCount`; number, optional)
  - `claimStatus` (`entity-get.response.200.data.claimStatus`; string, optional)
    - one of `"not_claimable"`, `"claimed"`, `"claim_pending"`, `"unclaimed"`
  - `canClaim` (`entity-get.response.200.data.canClaim`; boolean, optional)
  - `connectionCount` (`entity-get.response.200.data.connectionCount`; number, optional)
  - `mutualConnections` (`entity-get.response.200.data.mutualConnections`; number, optional)
  - `isConnected` (`entity-get.response.200.data.isConnected`; boolean, optional)
- `meta` (`entity-get.response.200.meta`; object, optional)
  - `timestamp` (`entity-get.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get.response.400.error`; object, required)
  - `code` (`entity-get.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get.response.401.error`; object, required)
  - `code` (`entity-get.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get.response.403.error`; object, required)
  - `code` (`entity-get.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get.response.404.error`; object, required)
  - `code` (`entity-get.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get.response.409.error`; object, required)
  - `code` (`entity-get.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get.response.422.error`; object, required)
  - `code` (`entity-get.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get.response.429.error`; object, required)
  - `code` (`entity-get.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get.response.500.error`; object, required)
  - `code` (`entity-get.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-get.response.503.error`; object, required)
  - `code` (`entity-get.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-get.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-get.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-get.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entities/retrieve/index.md
